#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    this->SetWindow();


    NewGetAccessToken=new GetAccessToken();
    NewGetAccessToken->SendHttp();

    NewFaceSerchR=new QFaceSearchR;
    NewFaceSerchR->SetImage(QImage(":/Face/Image/OIP-C.jpg"));


}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::SetWindow()
{
    QScreen * MainScreen=QGuiApplication::primaryScreen();
    this->setGeometry(0,0,MainScreen->geometry().width()/2,MainScreen->geometry().height()/2);
}




void MainWindow::on_GetACButton_clicked()
{

    Access_Token=NewGetAccessToken->GiveMeAccess();
    ui->lineEdit->setText(Access_Token);
}


void MainWindow::on_SendFace_clicked()
{
    NewFaceSerchR->SendRequest();
}

